Skip to main content
POST
/
api
/
public
/
v1
/
promotions
/
update
Update promotion
curl --request POST \
  --url https://app.tagadapay.com/api/public/v1/promotions/update \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "id": "promo_123",
  "data": {
    "storeId": "store_123",
    "name": "Winter Sale 30% Off",
    "code": "WINTER30",
    "automatic": false,
    "enabled": true,
    "usageLimit": 200,
    "startDate": "2025-12-01T00:00:00.000Z",
    "endDate": "2026-02-28T23:59:59.000Z",
    "ruleOperator": "AND",
    "combinesWithOrderLevelDiscounts": false,
    "combinesWithLineItemDiscounts": false,
    "combinesWithShippingDiscounts": false,
    "forceCombine": false,
    "rules": [],
    "actions": []
  }
}
'
{
  "id": "promo_123",
  "name": "Winter Sale 30% Off",
  "code": "WINTER30",
  "enabled": true
}

Authorizations

Authorization
string
header
required

Enter your API key as: Bearer your-api-key

Body

application/json
id
string
required
data
object
required

Response

Successful response